PINECONE_API_KEY_ID="62b0dbfe-3489-4b79-b850-34d911527c88"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X DELETE "https://api.pinecone.io/admin/api-keys/$PINECONE_API_KEY_ID" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
No response payload
API keys
Delete an API key
Delete an API key from a project.
DELETE
/
admin
/
api-keys
/
{api_key_id}
PINECONE_API_KEY_ID="62b0dbfe-3489-4b79-b850-34d911527c88"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X DELETE "https://api.pinecone.io/admin/api-keys/$PINECONE_API_KEY_ID" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
No response payload
PINECONE_API_KEY_ID="62b0dbfe-3489-4b79-b850-34d911527c88"
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X DELETE "https://api.pinecone.io/admin/api-keys/$PINECONE_API_KEY_ID" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
No response payload
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Path Parameters
API key ID
Response
API key deletion request accepted.
Was this page helpful?
⌘I